<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:38 CEST 2019 -->
<title>Serialized Form (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<h2 title="Package">Package&nbsp;org.firebirdsql.ds</h2>
<ul class="blockList">
<li class="blockList"><a name="org.firebirdsql.ds.FBSimpleDataSource">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/ds/FBSimpleDataSource.html" title="class in org.firebirdsql.ds">org.firebirdsql.ds.FBSimpleDataSource</a> extends <a href="org/firebirdsql/ds/RootCommonDataSource.html" title="class in org.firebirdsql.ds">RootCommonDataSource</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>3156578540634970427L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>mcf</h4>
<pre><a href="org/firebirdsql/jca/FBManagedConnectionFactory.html" title="class in org.firebirdsql.jca">FBManagedConnectionFactory</a> mcf</pre>
</li>
<li class="blockList">
<h4>jndiReference</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Reference.html?is-external=true" title="class or interface in javax.naming">Reference</a> jndiReference</pre>
</li>
<li class="blockListLast">
<h4>description</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> description</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.firebirdsql.extern.decimal</h2>
<ul class="blockList">
<li class="blockList"><a name="org.firebirdsql.extern.decimal.DecimalInconvertibleException">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/extern/decimal/DecimalInconvertibleException.html" title="class in org.firebirdsql.extern.decimal">org.firebirdsql.extern.decimal.DecimalInconvertibleException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/ArithmeticException.html?is-external=true" title="class or interface in java.lang">ArithmeticException</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>decimalType</h4>
<pre><a href="org/firebirdsql/extern/decimal/DecimalType.html" title="enum in org.firebirdsql.extern.decimal">DecimalType</a> decimalType</pre>
</li>
<li class="blockListLast">
<h4>signum</h4>
<pre>int signum</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.firebirdsql.extern.decimal.DecimalOverflowException">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/extern/decimal/DecimalOverflowException.html" title="class in org.firebirdsql.extern.decimal">org.firebirdsql.extern.decimal.DecimalOverflowException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/ArithmeticException.html?is-external=true" title="class or interface in java.lang">ArithmeticException</a> implements Serializable</h3>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.firebirdsql.gds</h2>
<ul class="blockList">
<li class="blockList"><a name="org.firebirdsql.gds.GDSException">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/gds/GDSException.html" title="class in org.firebirdsql.gds">org.firebirdsql.gds.GDSException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-2993273656432230359L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>type</h4>
<pre>int type</pre>
</li>
<li class="blockList">
<h4>intParam</h4>
<pre>int intParam</pre>
</li>
<li class="blockList">
<h4>strParam</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> strParam</pre>
</li>
<li class="blockList">
<h4>xaErrorCode</h4>
<pre>int xaErrorCode</pre>
<div class="block">The variable <code>xaErrorCode</code> is used to allow the same
 code to be used for transaction control from the XAResource,
 LocalTransaction, and Connection.  This code may be added to
 the GDSException without obscuring the message: only at the
 final level is the GDSException converted to the spec-required
 exception.</div>
</li>
<li class="blockListLast">
<h4>next</h4>
<pre><a href="org/firebirdsql/gds/GDSException.html" title="class in org.firebirdsql.gds">GDSException</a> next</pre>
<div class="block">My child</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.firebirdsql.gds.impl</h2>
<ul class="blockList">
<li class="blockList"><a name="org.firebirdsql.gds.impl.BlobParameterBufferImp">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/gds/impl/BlobParameterBufferImp.html" title="class in org.firebirdsql.gds.impl">org.firebirdsql.gds.impl.BlobParameterBufferImp</a> extends <a href="org/firebirdsql/gds/impl/ParameterBufferBase.html" title="class in org.firebirdsql.gds.impl">ParameterBufferBase</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.firebirdsql.gds.impl.DatabaseParameterBufferImp">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/gds/impl/DatabaseParameterBufferImp.html" title="class in org.firebirdsql.gds.impl">org.firebirdsql.gds.impl.DatabaseParameterBufferImp</a> extends <a href="org/firebirdsql/gds/impl/ParameterBufferBase.html" title="class in org.firebirdsql.gds.impl">ParameterBufferBase</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.firebirdsql.gds.impl.GDSServerVersion">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/gds/impl/GDSServerVersion.html" title="class in org.firebirdsql.gds.impl">org.firebirdsql.gds.impl.GDSServerVersion</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-3401092369588765195L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>rawVersions</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[] rawVersions</pre>
</li>
<li class="blockList">
<h4>platform</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> platform</pre>
</li>
<li class="blockList">
<h4>type</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> type</pre>
</li>
<li class="blockList">
<h4>fullVersion</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> fullVersion</pre>
</li>
<li class="blockList">
<h4>majorVersion</h4>
<pre>int majorVersion</pre>
</li>
<li class="blockList">
<h4>minorVersion</h4>
<pre>int minorVersion</pre>
</li>
<li class="blockList">
<h4>variant</h4>
<pre>int variant</pre>
</li>
<li class="blockList">
<h4>buildNumber</h4>
<pre>int buildNumber</pre>
</li>
<li class="blockListLast">
<h4>serverName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> serverName</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.firebirdsql.gds.impl.GDSServerVersionException">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/gds/impl/GDSServerVersionException.html" title="class in org.firebirdsql.gds.impl">org.firebirdsql.gds.impl.GDSServerVersionException</a> extends <a href="org/firebirdsql/gds/GDSException.html" title="class in org.firebirdsql.gds">GDSException</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-7437228877120690612L</dd>
</dl>
</li>
<li class="blockList"><a name="org.firebirdsql.gds.impl.GDSType">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">org.firebirdsql.gds.impl.GDSType</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialization Methods</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>readResolve</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;readResolve()</pre>
</li>
</ul>
</li>
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>name</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> name</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.firebirdsql.gds.impl.ParameterBufferBase">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/gds/impl/ParameterBufferBase.html" title="class in org.firebirdsql.gds.impl">org.firebirdsql.gds.impl.ParameterBufferBase</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialization Methods</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>readObject</h4>
<pre>private&nbsp;void&nbsp;readObject(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/ObjectInputStream.html?is-external=true" title="class or interface in java.io">ObjectInputStream</a>&nbsp;in)
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/ClassNotFoundException.html?is-external=true" title="class or interface in java.lang">ClassNotFoundException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/ClassNotFoundException.html?is-external=true" title="class or interface in java.lang">ClassNotFoundException</a></code></dd>
</dl>
</li>
</ul>
</li>
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>arguments</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">E</a>&gt; arguments</pre>
</li>
<li class="blockList">
<h4>defaultEncodingName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> defaultEncodingName</pre>
</li>
<li class="blockListLast">
<h4>parameterBufferMetaData</h4>
<pre><a href="org/firebirdsql/gds/impl/ParameterBufferMetaData.html" title="interface in org.firebirdsql.gds.impl">ParameterBufferMetaData</a> parameterBufferMetaData</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.firebirdsql.gds.impl.ServiceParameterBufferImp">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/gds/impl/ServiceParameterBufferImp.html" title="class in org.firebirdsql.gds.impl">org.firebirdsql.gds.impl.ServiceParameterBufferImp</a> extends <a href="org/firebirdsql/gds/impl/ParameterBufferBase.html" title="class in org.firebirdsql.gds.impl">ParameterBufferBase</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.firebirdsql.gds.impl.ServiceRequestBufferImp">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/gds/impl/ServiceRequestBufferImp.html" title="class in org.firebirdsql.gds.impl">org.firebirdsql.gds.impl.ServiceRequestBufferImp</a> extends <a href="org/firebirdsql/gds/impl/ParameterBufferBase.html" title="class in org.firebirdsql.gds.impl">ParameterBufferBase</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.firebirdsql.gds.impl.TransactionParameterBufferImpl">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/gds/impl/TransactionParameterBufferImpl.html" title="class in org.firebirdsql.gds.impl">org.firebirdsql.gds.impl.TransactionParameterBufferImpl</a> extends <a href="org/firebirdsql/gds/impl/ParameterBufferBase.html" title="class in org.firebirdsql.gds.impl">ParameterBufferBase</a> implements Serializable</h3>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.firebirdsql.gds.impl.argument</h2>
<ul class="blockList">
<li class="blockList"><a name="org.firebirdsql.gds.impl.argument.Argument">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/gds/impl/argument/Argument.html" title="class in org.firebirdsql.gds.impl.argument">org.firebirdsql.gds.impl.argument.Argument</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>type</h4>
<pre>int type</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.firebirdsql.gds.impl.argument.BigIntArgument">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/gds/impl/argument/BigIntArgument.html" title="class in org.firebirdsql.gds.impl.argument">org.firebirdsql.gds.impl.argument.BigIntArgument</a> extends <a href="org/firebirdsql/gds/impl/argument/Argument.html" title="class in org.firebirdsql.gds.impl.argument">Argument</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>argumentType</h4>
<pre><a href="org/firebirdsql/gds/impl/argument/ArgumentType.html" title="enum in org.firebirdsql.gds.impl.argument">ArgumentType</a> argumentType</pre>
</li>
<li class="blockListLast">
<h4>value</h4>
<pre>long value</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.firebirdsql.gds.impl.argument.ByteArrayArgument">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/gds/impl/argument/ByteArrayArgument.html" title="class in org.firebirdsql.gds.impl.argument">org.firebirdsql.gds.impl.argument.ByteArrayArgument</a> extends <a href="org/firebirdsql/gds/impl/argument/Argument.html" title="class in org.firebirdsql.gds.impl.argument">Argument</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>value</h4>
<pre>byte[] value</pre>
</li>
<li class="blockListLast">
<h4>argumentType</h4>
<pre><a href="org/firebirdsql/gds/impl/argument/ArgumentType.html" title="enum in org.firebirdsql.gds.impl.argument">ArgumentType</a> argumentType</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.firebirdsql.gds.impl.argument.NumericArgument">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/gds/impl/argument/NumericArgument.html" title="class in org.firebirdsql.gds.impl.argument">org.firebirdsql.gds.impl.argument.NumericArgument</a> extends <a href="org/firebirdsql/gds/impl/argument/Argument.html" title="class in org.firebirdsql.gds.impl.argument">Argument</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>argumentType</h4>
<pre><a href="org/firebirdsql/gds/impl/argument/ArgumentType.html" title="enum in org.firebirdsql.gds.impl.argument">ArgumentType</a> argumentType</pre>
</li>
<li class="blockListLast">
<h4>value</h4>
<pre>int value</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.firebirdsql.gds.impl.argument.SingleItem">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/gds/impl/argument/SingleItem.html" title="class in org.firebirdsql.gds.impl.argument">org.firebirdsql.gds.impl.argument.SingleItem</a> extends <a href="org/firebirdsql/gds/impl/argument/Argument.html" title="class in org.firebirdsql.gds.impl.argument">Argument</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.firebirdsql.gds.impl.argument.StringArgument">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/gds/impl/argument/StringArgument.html" title="class in org.firebirdsql.gds.impl.argument">org.firebirdsql.gds.impl.argument.StringArgument</a> extends <a href="org/firebirdsql/gds/impl/argument/Argument.html" title="class in org.firebirdsql.gds.impl.argument">Argument</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>value</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> value</pre>
</li>
<li class="blockList">
<h4>asBytes</h4>
<pre>byte[] asBytes</pre>
</li>
<li class="blockList">
<h4>encoding</h4>
<pre><a href="org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a> encoding</pre>
</li>
<li class="blockListLast">
<h4>argumentType</h4>
<pre><a href="org/firebirdsql/gds/impl/argument/ArgumentType.html" title="enum in org.firebirdsql.gds.impl.argument">ArgumentType</a> argumentType</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.firebirdsql.gds.ng.jna</h2>
<ul class="blockList">
<li class="blockList"><a name="org.firebirdsql.gds.ng.jna.NativeLibraryLoadException">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/gds/ng/jna/NativeLibraryLoadException.html" title="class in org.firebirdsql.gds.ng.jna">org.firebirdsql.gds.ng.jna.NativeLibraryLoadException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/RuntimeException.html?is-external=true" title="class or interface in java.lang">RuntimeException</a> implements Serializable</h3>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.firebirdsql.gds.ng.wire.crypt</h2>
<ul class="blockList">
<li class="blockList"><a name="org.firebirdsql.gds.ng.wire.crypt.FBSQLEncryptException">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/gds/ng/wire/crypt/FBSQLEncryptException.html" title="class in org.firebirdsql.gds.ng.wire.crypt">org.firebirdsql.gds.ng.wire.crypt.FBSQLEncryptException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLInvalidAuthorizationSpecException.html?is-external=true" title="class or interface in java.sql">SQLInvalidAuthorizationSpecException</a> implements Serializable</h3>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.firebirdsql.jca</h2>
<ul class="blockList">
<li class="blockList"><a name="org.firebirdsql.jca.FBConnectionRequestInfo">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jca/FBConnectionRequestInfo.html" title="class in org.firebirdsql.jca">org.firebirdsql.jca.FBConnectionRequestInfo</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>dpb</h4>
<pre><a href="org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a> dpb</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.firebirdsql.jca.FBIncorrectXidException">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jca/FBIncorrectXidException.html" title="class in org.firebirdsql.jca">org.firebirdsql.jca.FBIncorrectXidException</a> extends <a href="org/firebirdsql/jca/FBResourceException.html" title="class in org.firebirdsql.jca">FBResourceException</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.firebirdsql.jca.FBManagedConnectionFactory">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jca/FBManagedConnectionFactory.html" title="class in org.firebirdsql.jca">org.firebirdsql.jca.FBManagedConnectionFactory</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>7500832904323015501L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialization Methods</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>readResolve</h4>
<pre>private&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;readResolve()
                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/ObjectStreamException.html?is-external=true" title="class or interface in java.io">ObjectStreamException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/ObjectStreamException.html?is-external=true" title="class or interface in java.io">ObjectStreamException</a></code></dd>
</dl>
</li>
</ul>
</li>
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>defaultCm</h4>
<pre>javax.resource.spi.ConnectionManager defaultCm</pre>
</li>
<li class="blockList">
<h4>hashCode</h4>
<pre>int hashCode</pre>
</li>
<li class="blockList">
<h4>gdsType</h4>
<pre><a href="org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a> gdsType</pre>
</li>
<li class="blockListLast">
<h4>connectionProperties</h4>
<pre><a href="org/firebirdsql/jdbc/FBConnectionProperties.html" title="class in org.firebirdsql.jdbc">FBConnectionProperties</a> connectionProperties</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.firebirdsql.jca.FBResourceException">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jca/FBResourceException.html" title="class in org.firebirdsql.jca">org.firebirdsql.jca.FBResourceException</a> extends javax.resource.ResourceException implements Serializable</h3>
</li>
<li class="blockList"><a name="org.firebirdsql.jca.FBResourceTransactionException">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jca/FBResourceTransactionException.html" title="class in org.firebirdsql.jca">org.firebirdsql.jca.FBResourceTransactionException</a> extends <a href="org/firebirdsql/jca/FBResourceException.html" title="class in org.firebirdsql.jca">FBResourceException</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.firebirdsql.jca.FBStandAloneConnectionManager">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jca/FBStandAloneConnectionManager.html" title="class in org.firebirdsql.jca">org.firebirdsql.jca.FBStandAloneConnectionManager</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-4933951275930670896L</dd>
</dl>
</li>
<li class="blockList"><a name="org.firebirdsql.jca.FBTpb">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jca/FBTpb.html" title="class in org.firebirdsql.jca">org.firebirdsql.jca.FBTpb</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>transactionParams</h4>
<pre><a href="org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a> transactionParams</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.firebirdsql.jca.FBXAException">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jca/FBXAException.html" title="class in org.firebirdsql.jca">org.firebirdsql.jca.FBXAException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true" title="class or interface in javax.transaction.xa">XAException</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>reason</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a> reason</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.firebirdsql.jdbc</h2>
<ul class="blockList">
<li class="blockList"><a name="org.firebirdsql.jdbc.FBConnectionProperties">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jdbc/FBConnectionProperties.html" title="class in org.firebirdsql.jdbc">org.firebirdsql.jdbc.FBConnectionProperties</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>611228437520889118L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>properties</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; properties</pre>
</li>
<li class="blockList">
<h4>type</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> type</pre>
</li>
<li class="blockList">
<h4>database</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> database</pre>
</li>
<li class="blockList">
<h4>tpbMapping</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> tpbMapping</pre>
</li>
<li class="blockList">
<h4>defaultTransactionIsolation</h4>
<pre>int defaultTransactionIsolation</pre>
</li>
<li class="blockList">
<h4>customMapping</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; customMapping</pre>
</li>
<li class="blockListLast">
<h4>mapper</h4>
<pre><a href="org/firebirdsql/jdbc/FBTpbMapper.html" title="class in org.firebirdsql.jdbc">FBTpbMapper</a> mapper</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.firebirdsql.jdbc.FBDataSource">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jdbc/FBDataSource.html" title="class in org.firebirdsql.jdbc">org.firebirdsql.jdbc.FBDataSource</a> extends <a href="org/firebirdsql/ds/RootCommonDataSource.html" title="class in org.firebirdsql.ds">RootCommonDataSource</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1178461472062969634L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>cm</h4>
<pre>javax.resource.spi.ConnectionManager cm</pre>
</li>
<li class="blockList">
<h4>mcf</h4>
<pre><a href="org/firebirdsql/jca/FBManagedConnectionFactory.html" title="class in org.firebirdsql.jca">FBManagedConnectionFactory</a> mcf</pre>
</li>
<li class="blockList">
<h4>jndiReference</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Reference.html?is-external=true" title="class or interface in javax.naming">Reference</a> jndiReference</pre>
</li>
<li class="blockListLast">
<h4>loginTimeout</h4>
<pre>int loginTimeout</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.firebirdsql.jdbc.FBDriverConsistencyCheckException">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jdbc/FBDriverConsistencyCheckException.html" title="class in org.firebirdsql.jdbc">org.firebirdsql.jdbc.FBDriverConsistencyCheckException</a> extends <a href="org/firebirdsql/jdbc/FBSQLException.html" title="class in org.firebirdsql.jdbc">FBSQLException</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.firebirdsql.jdbc.FBDriverNotCapableException">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jdbc/FBDriverNotCapableException.html" title="class in org.firebirdsql.jdbc">org.firebirdsql.jdbc.FBDriverNotCapableException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLFeatureNotSupportedException.html?is-external=true" title="class or interface in java.sql">SQLFeatureNotSupportedException</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.firebirdsql.jdbc.FBMissingParameterException">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jdbc/FBMissingParameterException.html" title="class in org.firebirdsql.jdbc">org.firebirdsql.jdbc.FBMissingParameterException</a> extends <a href="org/firebirdsql/jdbc/FBSQLException.html" title="class in org.firebirdsql.jdbc">FBSQLException</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>setParams</h4>
<pre>boolean[] setParams</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="org.firebirdsql.jdbc.FBResultSetNotUpdatableException">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jdbc/FBResultSetNotUpdatableException.html" title="class in org.firebirdsql.jdbc">org.firebirdsql.jdbc.FBResultSetNotUpdatableException</a> extends <a href="org/firebirdsql/jdbc/FBSQLException.html" title="class in org.firebirdsql.jdbc">FBSQLException</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.firebirdsql.jdbc.FBSQLException">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jdbc/FBSQLException.html" title="class in org.firebirdsql.jdbc">org.firebirdsql.jdbc.FBSQLException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>8157410954186424083L</dd>
</dl>
</li>
<li class="blockList"><a name="org.firebirdsql.jdbc.FBSQLExceptionInfo">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jdbc/FBSQLExceptionInfo.html" title="class in org.firebirdsql.jdbc">org.firebirdsql.jdbc.FBSQLExceptionInfo</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a> implements Serializable</h3>
</li>
<li class="blockList"><a name="org.firebirdsql.jdbc.FBTpbMapper">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jdbc/FBTpbMapper.html" title="class in org.firebirdsql.jdbc">org.firebirdsql.jdbc.FBTpbMapper</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1690658870275668176L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>mapping</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">K</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">V</a>&gt; mapping</pre>
</li>
<li class="blockListLast">
<h4>defaultIsolationLevel</h4>
<pre>int defaultIsolationLevel</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.firebirdsql.jdbc.escape</h2>
<ul class="blockList">
<li class="blockList"><a name="org.firebirdsql.jdbc.escape.FBSQLParseException">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">org.firebirdsql.jdbc.escape.FBSQLParseException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLSyntaxErrorException.html?is-external=true" title="class or interface in java.sql">SQLSyntaxErrorException</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>4217078230221445003L</dd>
</dl>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.firebirdsql.jdbc.field</h2>
<ul class="blockList">
<li class="blockList"><a name="org.firebirdsql.jdbc.field.TypeConversionException">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jdbc/field/TypeConversionException.html" title="class in org.firebirdsql.jdbc.field">org.firebirdsql.jdbc.field.TypeConversionException</a> extends <a href="org/firebirdsql/jdbc/FBSQLException.html" title="class in org.firebirdsql.jdbc">FBSQLException</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>9145386635318036933L</dd>
</dl>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.firebirdsql.jdbc.parser</h2>
<ul class="blockList">
<li class="blockList"><a name="org.firebirdsql.jdbc.parser.StatementParser.ParseException">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jdbc/parser/StatementParser.ParseException.html" title="class in org.firebirdsql.jdbc.parser">org.firebirdsql.jdbc.parser.StatementParser.ParseException</a> extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>2440030356284907181L</dd>
</dl>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;org.firebirdsql.jna.fbclient</h2>
<ul class="blockList">
<li class="blockList"><a name="org.firebirdsql.jna.fbclient.ISC_STATUS">
<!--   -->
</a>
<h3>Class <a href="org/firebirdsql/jna/fbclient/ISC_STATUS.html" title="class in org.firebirdsql.jna.fbclient">org.firebirdsql.jna.fbclient.ISC_STATUS</a> extends com.sun.jna.IntegerType implements Serializable</h3>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
